use std::collections::HashMap;

struct Path<'a> {
  pub query: HashMap<&'a str, &'a str>
}

impl Path {
  pub fn new<'a>(path: &'a str) -> Self {
    let query = path.split("?").collect();
    Path { query }
  }
}